Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class PhoneticCriteriaType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.protocol.PhoneticCriteriaType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:31:34+02:00",
               comments="JAXB RI v2.2.11")
    public class PhoneticCriteriaType

extends Object
implements Serializable

set of criteria available

Java class for PhoneticCriteriaType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PhoneticCriteriaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="MiddleName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType"/>
             <element name="Gender" type="{urn:be:fgov:ehealth:consultRN:1_0:core}GenderType" minOccurs="0"/>
             <element name="Tolerance" type="{urn:be:fgov:ehealth:consultRN:1_0:protocol}IntegerType" minOccurs="0"/>
             <element name="Maximum" type="{urn:be:fgov:ehealth:consultRN:1_0:protocol}IntegerType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PhoneticCriteriaType()`

Method Summary
`String` | `getBirthDate()` Gets the value of the birthDate property.
`String` | `getFirstName()` Gets the value of the firstName property.
`GenderType` | `getGender()` Gets the value of the gender property.
`String` | `getLastName()` Gets the value of the lastName property.
`BigInteger` | `getMaximum()` Gets the value of the maximum property.
`String` | `getMiddleName()` Gets the value of the middleName property.
`BigInteger` | `getTolerance()` Gets the value of the tolerance property.
`void` | `setBirthDate(String value)` Sets the value of the birthDate property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setGender(GenderType value)` Sets the value of the gender property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setMaximum(BigInteger value)` Sets the value of the maximum property.
`void` | `setMiddleName(String value)` Sets the value of the middleName property.
`void` | `setTolerance(BigInteger value)` Sets the value of the tolerance property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticCriteriaType

    public PhoneticCriteriaType()

Method Detail

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getMiddleName

    public String getMiddleName()

  Gets the value of the middleName property.

  Returns:
    possible object is `String`

### setMiddleName

    public void setMiddleName(String value)

  Sets the value of the middleName property.

  Parameters:
    `value` - allowed object is `String`

### getBirthDate

    public String getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(String value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

### getGender

    public GenderType getGender()

  Gets the value of the gender property.

  Returns:
    possible object is `GenderType`

### setGender

    public void setGender(GenderType value)

  Sets the value of the gender property.

  Parameters:
    `value` - allowed object is `GenderType`

### getTolerance

    public BigInteger getTolerance()

  Gets the value of the tolerance property.

  Returns:
    possible object is `BigInteger`

### setTolerance

    public void setTolerance(BigInteger value)

  Sets the value of the tolerance property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getMaximum

    public BigInteger getMaximum()

  Gets the value of the maximum property.

  Returns:
    possible object is `BigInteger`

### setMaximum

    public void setMaximum(BigInteger value)

  Sets the value of the maximum property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.